@echo off

SET PROJECT=tlen

SET UTILS_PATH=..\_utils
SET UNREAL_PATH=Z:\ZX\_PC\UnrealSpeccy\unreal.exe
SET UNREAL_DIR=Z:\ZX\_PC\UnrealSpeccy\
rem SET UNREAL_PATH=Z:\ZX\_PC\pentevo\emul.exe -i pentevo.ini
rem SET UNREAL_DIR=Z:\ZX\_PC\pentevo\


del /q %PROJECT%.*

%UTILS_PATH%\sjasmplus.exe --lst=%PROJECT%.lst --inc=sources\. sources\%PROJECT%.asm

IF NOT EXIST %PROJECT%.sna GOTO ERROR

IF "%1"=="release" GOTO RELEASE


rem Make test only build

rem Prepare UnrealSpeccy
copy user.l %UNREAL_DIR%
%UNREAL_PATH% %PROJECT%.sna
GOTO END


rem Make release

:RELEASE

rem Pack main code
rem %UTILS_PATH%\zx7.exe %PROJECT%.bin
rem Make packer
rem %UTILS_PATH%\sjasmplus.exe sources\zx7_packer.asm

rem Create trd
copy res\%PROJECT%.trd .\
%UTILS_PATH%\trdtool.exe + %PROJECT%.trd %PROJECT%.C
%UTILS_PATH%\trdetz.exe %PROJECT%.trd fprop %PROJECT%.C start 24576

rem Make release archive
%UTILS_PATH%\PKZIP25.EXE -add .\!release\%PROJECT%.zip %PROJECT%.trd .\!release\file_id.diz


rem Test it anyway
%UNREAL_PATH% %PROJECT%.trd

GOTO END


:ERROR
EXIT 1

:END